<template>
  <div class="container"
       v-if="ishowtuli"
       id="moved2"
       @mousedown="moved">
    <div class="top">
      <span style="font-weight: bold">特效显示</span>
      <span class="close"
            @click="showtuli">X</span>
    </div>
    <div class="boxMenu">
      <div class="menu">

        <div class="menuContent">
          <div class="menuItem"
               @click="setMenuClick(item)"
               v-for="(item,index) in Option"
               :key="index">
            <button>{{ item.name}}</button>
          </div>
        </div>

      </div>
      <!-- <div class="menu">
        <p>三维标绘</p>
        <div>
          <div v-for="(item,index) in Option1"
               :key="index">
          </div>
        </div>
      </div> -->

    </div>
  </div>
</template>
<script>
import bus from "../../utils/bus";
import { juhe } from "../../utils/work";
export default {
  data () {
    return {
      value: false,
      value1: true,
      value2: false,
      ishowtuli: false,
      scale: 2.13,
      tileCoordinates: true,
      Option: [
        {
          name: '瓦片坐标',
          type: '1',

        },{
          name: '地形三角网',
          type: '2',

        },{
          name: '卫星通讯链路',
          type: '3',

        },
      ],

    };

  },
  methods: {
    moved (event) {
      var drag=document.getElementById("moved2");
      // //点击某物体时，用drag对象即可，move和up是全局区域，
      // 也就是整个文档通用，应该使用document对象而不是drag对象(否则，采用drag对象时物体只能往右方或下方移动)
      var event=event||window.event; //兼容IE浏览器
      //    鼠标点击物体那一刻相对于物体左侧边框的距离=点击时的位置相对于浏览器最左边的距离-物体左边框相对于浏览器最左边的距离
      var diffX=event.clientX*this.scale-drag.offsetLeft;
      var diffY=event.clientY*this.scale-drag.offsetTop;
      document.onmousemove=(event) => {
        var event=event||window.event;
        var moveX=event.clientX*this.scale-diffX;
        var moveY=event.clientY*this.scale-diffY;
        if(moveX<0) {
          moveX=0;
        } else if(moveX>2304*this.scale-drag.offsetWidth) {
          moveX=2304*this.scale-drag.offsetWidth;
        }
        if(moveY<0) {
          moveY=0;
        } else if(moveY>4096*this.scale-drag.offsetHeight) {
          moveY=4096*this.scale-drag.offsetHeight;
        }
        drag.style.left=moveX+"px";
        drag.style.top=moveY+"px";
      };
      document.onmouseup=function(event) {
        document.onmousemove=null;
        document.onmouseup=null;
      };
    },
    //边框的显示隐藏
    showtuli () {
      this.ishowtuli=false;
      //清除系统台站，监测站，gb
    },
    setMenuClick (res) {
      if(res.type=='1') {
        window.sgworld.tileCoordinates=!window.sgworld.tileCoordinates;
      } else if(res.type=='2') {
        window.sgworld.wireframe=!window.sgworld.wireframe;
      } else if(res.type=='3') {
        if(window.CZML) {
          window.CZML.deleteObject();
          window.CZML=null
          window.CZML1.deleteObject();
          window.CZML1=null
          return
        }
        var czml=[
          {
            id: "document",
            name: "Link and Scan",
            version: "1.0",
          },
          {
            id: "Link_1",
            name: "Dynamic polyline with Reference Properties",
            availability: "2020-05-01T16:00:00Z/2020-05-01T16:01:00Z",
            polyline: {
              positions: {
                references: ["car#position","airplane#position"],
              },
            },
          },
          {
            id: "ConeRadar_1",
            position: {
              interpolationAlgorithm: "LINEAR",
              interpolationDegree: 1,
              epoch: "2020-05-01T16:00:00Z",
              cartographicDegrees: [
                0,117,20,500000,
                15,117,27,500000,
                30,124,27,500000,
                45,124,20,500000,
                60,117,20,500000

              ]
            },
            cylinder: {
              length: 1000000.0,
              topRadius: 0.0,
              bottomRadius: 200000.0,
            }
          },
          {
            id: "airplane",
            position: {
              interpolationAlgorithm: "LINEAR",
              interpolationDegree: 1,
              epoch: "2020-05-01T16:00:00Z",
              cartographicDegrees: [
                0,117,20,1000000,
                15,117,27,1000000,
                30,124,27,1000000,
                45,124,20,1000000,
                60,117,20,1000000


              ],
            },
            orientation: {
              "velocityReference": "#position"
            },
            model: {
              gltf: "http://103.135.160.14:9027/LHZH/ModelLibrary/太空/weixin.gltf",
              scale: 100
            },
          },
          {
            id: "car",
            position: {
              interpolationAlgorithm: "LINEAR",
              interpolationDegree: 1,
              epoch: "2020-05-01T16:00:00Z",
              cartographicDegrees: [
                0,117,20,0,
                15,117,27,0,
                30,124,27,0,
                45,124,20,0,
                60,117,20,0
              ],
            },
            orientation: {
              "velocityReference": "#position"
            },
            model: {
              gltf: 'http://103.135.160.14:9027/LHZH/ModelLibrary/Model/xiaoche.gltf',
              scale: 10000
            },
          },
          {
            id: "SectorScan_1",
            position: {
              reference: 'car#position'
            },
            orientation: {
              "velocityReference": "#position"
            },
            ellipse: {
              semiMinorAxis: 200000.0,
              semiMajorAxis: 200000.0,
              heightReference: 1,    //贴地
            },
          },
          {
            id: "Link_2",
            name: "Dynamic polyline with Reference Properties",
            availability: "2020-05-01T16:00:00Z/2020-05-01T16:01:00Z",
            polyline: {
              positions: {
                references: ["jd#position","car2#position"],
              },
            },
          },


          {
            id: "MultiCircleScan_2",
            position: {
              reference: 'car2#position'
            },
            ellipse: {
              semiMinorAxis: 200000.0,
              semiMajorAxis: 200000.0,
              heightReference: 1,    //贴地
            },
          },
          {
            id: "RadarScan_2",
            position: {
              reference: 'jd#position'
            },
            ellipse: {
              semiMinorAxis: 2000000.0,
              semiMajorAxis: 2000000.0,
              heightReference: 1,    //贴地
            },
          },
        ];
        var czml1=[
          {
            id: "document",
            name: "Link and Scan",
            version: "1.0",
          },
          {
            id: "Link_1",
            name: "Dynamic polyline with Reference Properties",
            availability: "2020-05-01T16:00:00Z/2020-05-01T16:01:00Z",
            polyline: {
              positions: {
                references: ["car#position","airplane#position"],
              },
            },
          },
          {
            id: "ConeRadar_1",
            position: {
              interpolationAlgorithm: "LINEAR",
              interpolationDegree: 1,
              epoch: "2020-05-01T16:00:00Z",
              cartographicDegrees: [
                0,123,26,500000,
                15,123,21,500000,
                30,118,21,500000,
                45,118,26,500000,
                60,123,26,500000

              ]
            },
            cylinder: {
              length: 1000000.0,
              topRadius: 0.0,
              bottomRadius: 200000.0,
            }
          },
          {
            id: "airplane",
            position: {
              interpolationAlgorithm: "LINEAR",
              interpolationDegree: 1,
              epoch: "2020-05-01T16:00:00Z",
              cartographicDegrees: [

                0,123,26,1000000,
                15,123,21,1000000,
                30,118,21,1000000,
                45,118,26,1000000,
                60,123,26,1000000



              ],
            },
            orientation: {
              "velocityReference": "#position"
            },
            model: {
              gltf: "http://103.135.160.14:9027/LHZH/ModelLibrary/太空/weixin.gltf",
              scale: 100
            },
          },
          {
            id: "car",
            position: {
              interpolationAlgorithm: "LINEAR",
              interpolationDegree: 1,
              epoch: "2020-05-01T16:00:00Z",
              cartographicDegrees: [
                0,123,26,0,
                15,123,21,0,
                30,118,21,0,
                45,118,26,0,
                60,123,26,0
              ],
            },
            orientation: {
              "velocityReference": "#position"
            },
            model: {
              gltf: 'http://103.135.160.14:9027/LHZH/ModelLibrary/Model/xiaoche.gltf',
              scale: 10000
            },
          },
          {
            id: "SectorScan_1",
            position: {
              reference: 'car#position'
            },
            orientation: {
              "velocityReference": "#position"
            },
            ellipse: {
              semiMinorAxis: 200000.0,
              semiMajorAxis: 200000.0,
              heightReference: 1,    //贴地
            },
          },
          {
            id: "Link_2",
            name: "Dynamic polyline with Reference Properties",
            availability: "2020-05-01T16:00:00Z/2020-05-01T16:01:00Z",
            polyline: {
              positions: {
                references: ["jd#position","car2#position"],
              },
            },
          },


          {
            id: "MultiCircleScan_2",
            position: {
              reference: 'car2#position'
            },
            ellipse: {
              semiMinorAxis: 200000.0,
              semiMajorAxis: 200000.0,
              heightReference: 1,    //贴地
            },
          },
          {
            id: "RadarScan_2",
            position: {
              reference: 'jd#position'
            },
            ellipse: {
              semiMinorAxis: 2000000.0,
              semiMajorAxis: 2000000.0,
              heightReference: 1,    //贴地
            },
          },
        ];

        var option={
          coneRadarColor: '#00ff00', //卫星雷达颜色（可选）,
          sectorScanAngle: 360,    //扇形扩散角度（可选）,
          radarScanColor: '#00ffff',    //雷达扫描颜色（可选）
        }
        window.CZML=sgworld.Creator.CZML(czml,option,function(dataSources) {
          Viewer.zoomTo(dataSources);
        });
        window.CZML1=sgworld.Creator.CZML(czml1,option,function(dataSources) {

        });
      }
    }
  },
  mounted () {
    bus.$on("clearMilitaryPlot",(e) => {
      this.ishowtuli=false
      this.showtuli()
    });
    bus.$on("ishowMilitaryPlot",(e) => {
      if(this.ishowtuli) {
        this.ishowtuli=false
        this.showtuli()
      } else {
        this.ishowtuli=true
      }
    });
  },
  watch: {
    value (e) {
      if(e) {
        if(document.getElementsByClassName("tableContain")[0]) {
          document.getElementsByClassName("tableContain")[0].style.display=
            "none";
        }
      }
    },
    value1 (e) {
      if(e) {
        this.showbuild()
        if(document.getElementsByClassName("tableContain")[0]) {
          document.getElementsByClassName("tableContain")[0].style.display=
            "none";
        }
      } else {
        mode1.deleteObject()
        mode1=null
      }
    },
  },
};
</script>
<style  scoped>
.top {
  width: 94%;
  height: 20%;
  margin: 0 auto;
  border-bottom: 2px solid #fff;
  color: #fff;
}
.top > span {
  display: inline-block;
  margin: 10px 20px;
  font-size: 40px;
  letter-spacing: 5px;
  font-weight: 300;
  line-height: 80px;
  margin-left: 40px;
}
.container {
  width: 800px;
  height: 500px;
  position: absolute;
  right: 340px;
  top: 180px;
  z-index: 50;
  background: url(~@/assets/image/test/圆角矩形.png) no-repeat;
  background-position: center;
  background-size: 100% 100%;
  cursor: move;
}
.boxMenu {
  width: 100%;
  height: 70%;

  /* font-weight: bold;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  flex-direction: column;
  justify-content: center;
  -ms-flex-pack: distribute;
  align-items: center; */
}
.menuTitle {
  font-size: 36px;
  color: white;
  margin: 10px 40px;
}
.menuItem {
  margin: 20px 10px;
  /* background: #409eff !important; */
}
.menuItem button {
  width: 200px;
}
.menuItem :hover {
  /* color: #409eff !important; */
  /* background: #409eff !important; */
}
.menuContent {
  /* display: flex; */
  cursor: pointer;
  display: grid;
  grid-template-columns: auto auto auto;
  text-align: center;
  font-size: 32px;
  color: white;
  margin: 10px 40px;
}
.box .menu {
  width: 100%;
  height: auto;
}
.box >>> .el-switch__core {
  width: 140px !important;
  height: 50px;
  margin-left: 30px;
  border-radius: 28px;
}
.box >>> .el-switch__core:after {
  width: 48px;
  height: 48px;
  margin-left: 0px;
  top: 0px;
}
.box >>> .el-switch.is-checked .el-switch__core::after {
  margin-left: -50px !important;
}
.box > div {
  width: 70%;
  height: 70px;
  font-size: 40px;
  line-height: 70px;
  margin-top: 20px;
  color: #fff;
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-around;
  align-items: center;
}
.close {
  position: absolute;
  right: 20px;
  top: 0px;
  cursor: pointer;
}
/* .container>div{
width: 100%;
height: 20%;
border: 1px solid #000;
} */
</style>